Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IRObjectPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.IRObjectPOA
                  |
                  +--org.omg.CORBA.IRObjectPOATie

All Implemented Interfaces:
  InvokeHandler, IRObjectOperations

public class IRObjectPOATie
extends IRObjectPOA

The base interface IRObject represents the most generic interface from which all other Interface Repository interfaces are derived, even the Repository itself.

Constructor Summary
`IRObjectPOATie(IRObjectOperations tieObject)` Constructor
`IRObjectPOATie(IRObjectOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`IRObjectOperations` | `_delegate()` Get the delegate
`void` | `_delegate(IRObjectOperations delegate_)` Set the delegate
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`void` | `destroy()` Operation destroy

Methods inherited from class org.omg.CORBA.IRObjectPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IRObjectPOATie

    public IRObjectPOATie(IRObjectOperations tieObject)

  Constructor

### IRObjectPOATie

    public IRObjectPOATie(IRObjectOperations tieObject,
                          POA poa)

  Constructor

Method Detail

### _delegate

    public IRObjectOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(IRObjectOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD